routes/web.php
<?php

use App\Http\Controllers\BookController;
use App\Http\Controllers\SessionController;
use App\Http\Controllers\UsersController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::get('/', [\App\Http\Controllers\CategoryController::class, 'index'])->name('home');


Route::resource('category', \App\Http\Controllers\CategoryController::class);

Route::prefix('auth')->name('auth.')->group(function (){
    Route::get('register', [UsersController::class, 'registerForm'])->name('register-form');
    Route::post('register', [UsersController::class, 'store'])->name('register');

    Route::get('login', [SessionController::class, 'loginForm'])->name('login-form');
    Route::post('login', [SessionController::class, 'store'])->name('login');
    Route::delete('log-out', [SessionController::class, 'destroy'])->name('logout');
    Route::get('my-book', [UsersController::class, 'index'])->name('mybook');
    Route::put('users/', [UsersController::class, 'update'])->name('users');
    Route::get('book/{$book}', [BookController::class, 'edit'])->name('edit');

    Route::resource('book', \App\Http\Controllers\BookController::class);

});

app/Models/User.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class User extends Model
{
    use HasFactory;
    protected $fillable = [
        'name',
        'lastname',
        'address',
        'id_card',
        'password',
        'read_card',
    ];


}

app/Http/Controllers/UsersController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\RegisterRequest;
use App\Models\Book;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;

class UsersController extends AuthController
{
    public function registerForm(Request $request)
    {
        if ($request->session()->exists('read_card')){
            return redirect()->route('home')->with('error', 'You are already register!');
        }
        return view('users.register');
    }

    public function store(RegisterRequest $request)
    {
        $validated = $request->validated();
        $validated['read_card'] =$validated['read_card'].substr(md5(time()), 0, 16);
        $validated['password'] = Hash::make($validated['password']);
        $user = User::create($validated);

        $this->logIn($user);

        return redirect()->route('home')->with('success', 'Registration successfully, your read-card - '. $user->read_card);
    }

    public function index()
    {
        if (auth_user()){
            $books = Book::where('user_id', auth_user()->id)->get();
            return view('users.index', compact('books'));
        }else{
            return redirect()->route('auth.login');

        }
    }
    public function update(Request $request, Book $book)
    {
        $book->status = 0;
        $book->user_id = null;
        $book->update();
        return redirect()->route('category.index')->with('status', "Успешно отдан");

    }

}

resources/views/users/index.blade.php
@extends('layout.base')
@section('content')
    <div class="row">
        <a class="btn btn-sm btn-dark " style="width: 50px" href="{{route('home')}}">назад</a>
        <h4>мои книги</h4>
                @foreach($books as $book)
                    <div class="col-lg-4 mt-5">
                        <div class="card" style="width: 18rem;">
                            @if(is_null($book->picture))
                                <img class="card-img-top" src="{{asset('default.jpg')}}" alt="{{'default.jpg'}}">
                            @else
                                <img class="card-img-top" src="{{asset('/storage/' . $book->picture)}}" alt="{{$book->picture}}">
                            @endif
                            <div class="card-body">
                                <h6><i>Автор: </i>{{$book->author}}</h6>
                                <h6><i>Название: </i>{{$book->name}}</h6>
                            </div>
                                <form action="{{route('auth.users', ['book' => $book]) }}" method="post">
                                    @csrf
                                    @method('PUT')
                                    <button type="submit" class="btn btn-primary">Вернуть</button>
                                </form>

                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>

@endsection

resources/views/users/register.blade.php
@extends('layout.base')

@section('content')
    <div class="row">
        <div class="col-6 offset-3 align-self-center">
            @include('notifications.alerts')
            <h1 class="text-center">Register</h1>
            <hr>
            <form action="{{route('auth.register')}}" method="post">
                @csrf
                <div class="form-group">
                    <label for="exampleInputName1">Name</label>
                    <input type="text" class="form-control" id="exampleInputName1" name="name">
                </div>
                <div class="form-group">
                    <label for="exampleInputName2">LastName</label>
                    <input type="text" class="form-control" id="exampleInputName2" name="lastname">
                </div>
                <div class="form-group">
                    <label for="exampleInputName2">Id-card</label>
                    <input type="text" class="form-control" id="exampleInputName2" name="id_card">
                </div>
                <div class="form-group">
{{--                    <label for="exampleInputName2">Ireadd-card</label>--}}
                    <input type="hidden" value="read" class="form-control" id="exampleInputName2" name="read_card">
                </div>
                <div class="form-group">
                    <label for="exampleInputName2">address</label>
                    <input type="text" class="form-control" id="exampleInputName2" name="address">
                </div>

                <div class="form-group">
                    <label for="exampleInputPassword1">Password</label>
                    <input type="password" class="form-control" id="exampleInputPassword1" name="password">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword2">Confirm password</label>
                    <input type="password" class="form-control" id="exampleInputPassword2" name="password_confirmation">
                </div>
                <button type="submit" class="btn btn-outline-primary">Получить read-card</button>
            </form>
        </div>
    </div>
@endsection